package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdVouchtempB;
import com.dhcc.finance.main.domain.CwBdVouchtempBExample;
import com.dhcc.finance.main.model.VouchtempBForTable;

import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdVouchtempBMapper {
    long countByExample(CwBdVouchtempBExample example);

    int deleteByExample(CwBdVouchtempBExample example);

    int deleteByPrimaryKey(String pkVouchtempB);

    int insert(CwBdVouchtempB record);

    int insertSelective(CwBdVouchtempB record);

    List<CwBdVouchtempB> selectByExample(CwBdVouchtempBExample example);

    CwBdVouchtempB selectByPrimaryKey(String pkVouchtempB);

    int updateByExampleSelective(@Param("record") CwBdVouchtempB record, @Param("example") CwBdVouchtempBExample example);

    int updateByExample(@Param("record") CwBdVouchtempB record, @Param("example") CwBdVouchtempBExample example);

    int updateByPrimaryKeySelective(CwBdVouchtempB record);

    int updateByPrimaryKey(CwBdVouchtempB record);
    /**
     * 功能描述：批量新增凭证模板分录信息
     * @param listCwBdVouchtempB
     * @return int
     * @author dml
     * @date 2019年4月1日 下午3:47:07
     * @修改日志：
     */
    int insertCwBdVouchtempBBatch(List<CwBdVouchtempB> listCwBdVouchtempB);
    /**
     * 功能描述：根据凭证主键查询分录信息
     * @param pkVouchtemp
     * @return List<CwBdVouchtempB>
     * @author dml
     * @date 2019年5月23日 上午9:45:48
     * @修改日志：
     */
    List<CwBdVouchtempB> selectByPkVouchtemp(@Param("pkVouchtemp") String pkVouchtemp);
    /**
     * 功能描述
     *@param tableName
     *@return List<VouchtempBForTable>
     *@author huangpeng
     *@date 2020年1月9日 上午11:59:54
     *修改日志:
     */
	List<VouchtempBForTable> searchCwBdVouchtempBForTableName(@Param("tableName")String tableName);
}